## illuminator 0.9.0

=== macros/Makefile ===
# Makefile.in generated by automake 1.9.3 from Makefile.am.
# macros/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


srcdir = ../../illuminator/macros
top_srcdir = ../../illuminator
VPATH = ../../illuminator/macros
pkgdatadir = $(datadir)/illuminator
pkglibdir = $(libdir)/illuminator
pkgincludedir = $(includedir)/illuminator
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = macros
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/macros/cxref-latex.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/hazelsct/cvs/illuminator/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/hazelsct/cvs/illuminator/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/hazelsct/cvs/illuminator/missing --run autoconf
AUTOHEADER = ${SHELL} /home/hazelsct/cvs/illuminator/missing --run autoheader
AUTOMAKE = ${SHELL} /home/hazelsct/cvs/illuminator/missing --run automake-1.9
AWK = mawk
BLASLAPACK_LIBS = -lblas-3 -llapack-3  -L/usr/lib/gcc-lib/i486-linux/3.3.4 -L/usr/lib/gcc-lib/i486-linux/3.3.4/../../.. -lfrtbegin -lg2c -lm -lgcc_s
BOPT = O
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXREF = /usr/bin/cxref
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DVIPS = /usr/bin/dvips
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
FLIBS =  -L/usr/lib/gcc-lib/i486-linux/3.3.4 -L/usr/lib/gcc-lib/i486-linux/3.3.4/../../.. -lfrtbegin -lg2c -lm -lgcc_s
GEOMVIEW = geomview
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GLIB_GENMARSHAL = glib-genmarshal
GLIB_LIBS = -lglib-2.0  
GLIB_MKENUMS = glib-mkenums
GNOMEUI_CFLAGS = -DXTHREADS -DORBIT2=1 -pthread -I/usr/include/libglade-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libxml2 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libgnomeui-2.0 -I/usr/include/libgnome-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/libbonoboui-2.0 -I/usr/include/orbit-2.0 -I/usr/include/libbonobo-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/bonobo-activation-2.0  
GNOMEUI_EXISTS_FALSE = #
GNOMEUI_EXISTS_TRUE = 
GNOMEUI_LIBS = -Wl,--export-dynamic -pthread -L/usr/X11R6/lib -lglade-2.0 -lgnomeui-2 -lSM -lICE -lbonoboui-2 -lxml2 -lpthread -lz -lgnomecanvas-2 -lgnome-2 -lpopt -lart_lgpl_2 -lpangoft2-1.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lbonobo-2 -lgconf-2 -lgnomevfs-2 -lbonobo-activation -lORBit-2 -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0  
GOBJECT_QUERY = gobject-query
HAVE_BLAS = yes
HAVE_CXREF_FALSE = #
HAVE_CXREF_TRUE = 
HAVE_DVIPS_FALSE = #
HAVE_DVIPS_TRUE = 
HAVE_HEVEA_FALSE = #
HAVE_HEVEA_TRUE = 
HAVE_LAPACK = yes
HAVE_LATEX2HTML_FALSE = 
HAVE_LATEX2HTML_TRUE = #
HAVE_LATEX_FALSE = #
HAVE_LATEX_TRUE = 
HAVE_PDFLATEX_FALSE = #
HAVE_PDFLATEX_TRUE = 
HEVEA = /usr/bin/hevea
IMLIB2_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng12  
IMLIB2_EXISTS_FALSE = #
IMLIB2_EXISTS_TRUE = 
IMLIB2_LIBS = -L/usr/X11R6/lib -lImlib2 -lfreetype -lz -lm -lXext -lX11 -ldl -lpng12  
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LATEX = /usr/bin/latex
LATEX2HTML = no
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBXML2_CFLAGS = -I/usr/include/libxml2  
LIBXML2_LIBS = -lxml2 -lpthread -lz -lm  
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/hazelsct/cvs/illuminator/missing --run makeinfo
MATH_INCLUDES = 
MATH_LIBS = 
MIEEE_CFLAGS = 
OBJEXT = o
PACKAGE = illuminator
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PDFLATEX = /usr/bin/pdflatex
PETSC_ARCH = linux
PETSC_DIR = /usr/lib/petsc
PKG_CONFIG = /usr/bin/pkg-config
RANLIB = ranlib
RELEASE_DATE = November 30, 2004
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
USING_GEOMVIEW_FALSE = #
USING_GEOMVIEW_TRUE = 
VERSION = 0.9.0
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/hazelsct/cvs/illuminator/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /home/hazelsct/i386-linux
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
MACROS = \
  cxref-latex.m4                                \
  xml-check.m4

EXTRA_DIST = $(MACROS) autogen.sh
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  macros/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  macros/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-exec install-exec-am \
	install-info install-info-am install-man install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
	uninstall-info-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## illuminator 0.9.1

=== macros/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile.in generated by automake 1.9.3 from Makefile.am.
+# Makefile.in generated by automake 1.8.5 from Makefile.am.
 # macros/Makefile.  Generated from Makefile.in by configure.
 
 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
@@ -33,7 +33,6 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = i686-pc-linux-gnu
 host_triplet = i686-pc-linux-gnu
 subdir = macros
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
@@ -42,22 +41,22 @@
 	$(top_srcdir)/configure.in
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
+mkinstalldirs = $(mkdir_p)
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
 SOURCES =
 DIST_SOURCES =
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/hazelsct/cvs/illuminator/missing --run aclocal-1.9
+ACLOCAL = ${SHELL} /home/hazelsct/cvs/illuminator/missing --run aclocal-1.8
 AMDEP_FALSE = #
 AMDEP_TRUE = 
 AMTAR = ${SHELL} /home/hazelsct/cvs/illuminator/missing --run tar
 AR = ar
 AUTOCONF = ${SHELL} /home/hazelsct/cvs/illuminator/missing --run autoconf
 AUTOHEADER = ${SHELL} /home/hazelsct/cvs/illuminator/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/hazelsct/cvs/illuminator/missing --run automake-1.9
+AUTOMAKE = ${SHELL} /home/hazelsct/cvs/illuminator/missing --run automake-1.8
 AWK = mawk
-BLASLAPACK_LIBS = -lblas-3 -llapack-3  -L/usr/lib/gcc-lib/i486-linux/3.3.4 -L/usr/lib/gcc-lib/i486-linux/3.3.4/../../.. -lfrtbegin -lg2c -lm -lgcc_s
+BLASLAPACK_LIBS = -lblas-3 -llapack-3  -L/usr/lib/gcc-lib/i486-linux/3.3.5 -L/usr/lib/gcc-lib/i486-linux/3.3.5/../../.. -lfrtbegin -lg2c -lm -lgcc_s
 BOPT = O
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -81,7 +80,7 @@
 EXEEXT = 
 F77 = g77
 FFLAGS = -g -O2
-FLIBS =  -L/usr/lib/gcc-lib/i486-linux/3.3.4 -L/usr/lib/gcc-lib/i486-linux/3.3.4/../../.. -lfrtbegin -lg2c -lm -lgcc_s
+FLIBS =  -L/usr/lib/gcc-lib/i486-linux/3.3.5 -L/usr/lib/gcc-lib/i486-linux/3.3.5/../../.. -lfrtbegin -lg2c -lm -lgcc_s
 GEOMVIEW = geomview
 GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
 GLIB_GENMARSHAL = glib-genmarshal
@@ -90,7 +89,7 @@
 GNOMEUI_CFLAGS = -DXTHREADS -DORBIT2=1 -pthread -I/usr/include/libglade-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libxml2 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libgnomeui-2.0 -I/usr/include/libgnome-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/libbonoboui-2.0 -I/usr/include/orbit-2.0 -I/usr/include/libbonobo-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/bonobo-activation-2.0  
 GNOMEUI_EXISTS_FALSE = #
 GNOMEUI_EXISTS_TRUE = 
-GNOMEUI_LIBS = -Wl,--export-dynamic -pthread -L/usr/X11R6/lib -lglade-2.0 -lgnomeui-2 -lSM -lICE -lbonoboui-2 -lxml2 -lpthread -lz -lgnomecanvas-2 -lgnome-2 -lpopt -lart_lgpl_2 -lpangoft2-1.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lbonobo-2 -lgconf-2 -lgnomevfs-2 -lbonobo-activation -lORBit-2 -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0  
+GNOMEUI_LIBS = -Wl,--export-dynamic -pthread -L/usr/X11R6/lib -lglade-2.0 -lgnomeui-2 -lSM -lICE -lbonoboui-2 -lxml2 -lpthread -lz -lgnomecanvas-2 -lgnome-2 -lpopt -lart_lgpl_2 -lpangoft2-1.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgnomevfs-2 -lbonobo-2 -lgconf-2 -lbonobo-activation -lORBit-2 -lm -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0  
 GOBJECT_QUERY = gobject-query
 HAVE_BLAS = yes
 HAVE_CXREF_FALSE = #
@@ -107,10 +106,10 @@
 HAVE_PDFLATEX_FALSE = #
 HAVE_PDFLATEX_TRUE = 
 HEVEA = /usr/bin/hevea
-IMLIB2_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng12  
+IMLIB2_CFLAGS =  
 IMLIB2_EXISTS_FALSE = #
 IMLIB2_EXISTS_TRUE = 
-IMLIB2_LIBS = -L/usr/X11R6/lib -lImlib2 -lfreetype -lz -lm -lXext -lX11 -ldl -lpng12  
+IMLIB2_LIBS = -lImlib2  
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
@@ -145,19 +144,20 @@
 PETSC_DIR = /usr/lib/petsc
 PKG_CONFIG = /usr/bin/pkg-config
 RANLIB = ranlib
-RELEASE_DATE = November 30, 2004
+RELEASE_DATE = May 1, 2005
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = strip
 USING_GEOMVIEW_FALSE = #
 USING_GEOMVIEW_TRUE = 
-VERSION = 0.9.0
+VERSION = 0.9.1
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_CXX = g++
 ac_ct_F77 = g77
 ac_ct_RANLIB = ranlib
 ac_ct_STRIP = strip
+ac_pt_PKG_CONFIG = 
 am__fastdepCC_FALSE = #
 am__fastdepCC_TRUE = 
 am__fastdepCXX_FALSE = #
@@ -165,8 +165,6 @@
 am__include = include
 am__leading_dot = .
 am__quote = 
-am__tar = ${AMTAR} chof - "$$tardir"
-am__untar = ${AMTAR} xf -
 bindir = ${exec_prefix}/bin
 build = i686-pc-linux-gnu
 build_alias = 
@@ -187,7 +185,7 @@
 libexecdir = ${exec_prefix}/libexec
 localstatedir = ${prefix}/var
 mandir = ${prefix}/man
-mkdir_p = mkdir -p --
+mkdir_p = mkdir -p -- .
 oldincludedir = /usr/include
 prefix = /home/hazelsct/i386-linux
 program_transform_name = s,x,x,
@@ -299,7 +297,7 @@
 clean-generic:
 
 distclean-generic:
-	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
+	-rm -f $(CONFIG_CLEAN_FILES)
 
 maintainer-clean-generic:
 	@echo "This command is intended for maintainers to use"

## illuminator 0.10.0

=== macros/Makefile ===
--- 
+++ 
@@ -56,7 +56,7 @@
 AUTOHEADER = ${SHELL} /home/hazelsct/cvs/illuminator/missing --run autoheader
 AUTOMAKE = ${SHELL} /home/hazelsct/cvs/illuminator/missing --run automake-1.8
 AWK = mawk
-BLASLAPACK_LIBS = -lblas-3 -llapack-3  -L/usr/lib/gcc-lib/i486-linux/3.3.5 -L/usr/lib/gcc-lib/i486-linux/3.3.5/../../.. -lfrtbegin -lg2c -lm -lgcc_s
+BLASLAPACK_LIBS = -lblas-3 -llapack-3  -L/usr/lib/gcc/i486-linux-gnu/3.4.5 -L/usr/lib/gcc/i486-linux-gnu/3.4.5/../../../../lib -L/usr/lib/gcc/i486-linux-gnu/3.4.5/../../.. -L/lib/../lib -L/usr/lib/../lib -lfrtbegin -lg2c -lm -lgcc_s
 BOPT = O
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -80,17 +80,19 @@
 EXEEXT = 
 F77 = g77
 FFLAGS = -g -O2
-FLIBS =  -L/usr/lib/gcc-lib/i486-linux/3.3.5 -L/usr/lib/gcc-lib/i486-linux/3.3.5/../../.. -lfrtbegin -lg2c -lm -lgcc_s
+FLIBS =  -L/usr/lib/gcc/i486-linux-gnu/3.4.5 -L/usr/lib/gcc/i486-linux-gnu/3.4.5/../../../../lib -L/usr/lib/gcc/i486-linux-gnu/3.4.5/../../.. -L/lib/../lib -L/usr/lib/../lib -lfrtbegin -lg2c -lm -lgcc_s
 GEOMVIEW = geomview
 GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
 GLIB_GENMARSHAL = glib-genmarshal
 GLIB_LIBS = -lglib-2.0  
 GLIB_MKENUMS = glib-mkenums
-GNOMEUI_CFLAGS = -DXTHREADS -DORBIT2=1 -pthread -I/usr/include/libglade-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libxml2 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libgnomeui-2.0 -I/usr/include/libgnome-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/libbonoboui-2.0 -I/usr/include/orbit-2.0 -I/usr/include/libbonobo-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/bonobo-activation-2.0  
+GNOMEUI_CFLAGS = -DXTHREADS -DORBIT2=1 -pthread -I/usr/include/libglade-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libxml2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libgnomeui-2.0 -I/usr/include/libgnome-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/libbonoboui-2.0 -I/usr/include/orbit-2.0 -I/usr/include/libbonobo-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/bonobo-activation-2.0 -I/usr/include/freetype2  
 GNOMEUI_EXISTS_FALSE = #
 GNOMEUI_EXISTS_TRUE = 
-GNOMEUI_LIBS = -Wl,--export-dynamic -pthread -L/usr/X11R6/lib -lglade-2.0 -lgnomeui-2 -lSM -lICE -lbonoboui-2 -lxml2 -lpthread -lz -lgnomecanvas-2 -lgnome-2 -lpopt -lart_lgpl_2 -lpangoft2-1.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgnomevfs-2 -lbonobo-2 -lgconf-2 -lbonobo-activation -lORBit-2 -lm -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0  
+GNOMEUI_LIBS = -Wl,--export-dynamic -pthread -L/usr/X11R6/lib -lglade-2.0 -lgnomeui-2 -lSM -lICE -lbonoboui-2 -lxml2 -lz -lgnomecanvas-2 -lgnome-2 -lpopt -lart_lgpl_2 -lpangoft2-1.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -lXrandr -lXi -lXinerama -lXext -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lfontconfig -lXcursor -lpango-1.0 -lcairo -lXrender -lX11 -lgobject-2.0 -lgnomevfs-2 -lbonobo-2 -lgconf-2 -lbonobo-activation -lORBit-2 -lm -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0  
 GOBJECT_QUERY = gobject-query
+GTK_CFLAGS = -DXTHREADS -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
+GTK_LIBS = -L/usr/X11R6/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -lXrandr -lXi -lXinerama -lXext -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lfontconfig -lXcursor -lpango-1.0 -lcairo -lXrender -lX11 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
 HAVE_BLAS = yes
 HAVE_CXREF_FALSE = #
 HAVE_CXREF_TRUE = 
@@ -121,7 +123,7 @@
 LIBS = 
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LIBXML2_CFLAGS = -I/usr/include/libxml2  
-LIBXML2_LIBS = -lxml2 -lpthread -lz -lm  
+LIBXML2_LIBS = -lxml2 -lz -lm  
 LN_S = ln -s
 LTLIBOBJS = 
 MAINT = #
@@ -140,17 +142,17 @@
 PACKAGE_VERSION = 
 PATH_SEPARATOR = :
 PDFLATEX = /usr/bin/pdflatex
-PETSC_ARCH = linux
+PETSC_ARCH = linux-gnu
 PETSC_DIR = /usr/lib/petsc
 PKG_CONFIG = /usr/bin/pkg-config
 RANLIB = ranlib
-RELEASE_DATE = May 1, 2005
+RELEASE_DATE = February 5, 2006
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = strip
 USING_GEOMVIEW_FALSE = #
 USING_GEOMVIEW_TRUE = 
-VERSION = 0.9.1
+VERSION = 0.10.0
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_CXX = g++
@@ -187,7 +189,7 @@
 mandir = ${prefix}/man
 mkdir_p = mkdir -p -- .
 oldincludedir = /usr/include
-prefix = /home/hazelsct/i386-linux
+prefix = /home/hazelsct/i486-linux
 program_transform_name = s,x,x,
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com

## illuminator 0.11.0

=== debian/changelog ===
illuminator (0.11.0-9) unstable; urgency=low

  * Removed .la line from libluminate-dev.files (closes: #620766, #621532).
  * Bumped Standards-Version.
  * Added build-arch and build-indep targets to debian/rules, and made clean
    depend on patch to work around git-buildpackage unpatching stuff.
  * Remove compression of PDF and DVI files.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Mon, 12 Dec 2011 15:09:02 -0500

illuminator (0.11.0-8) unstable; urgency=low

  * Fixed unpatch in clean target.
  * Added libs to tsview and other binaries to build with binutils-gold
    (closes: #554865).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Tue, 30 Nov 2010 10:35:11 -0500

illuminator (0.11.0-7) unstable; urgency=low

  * Hard-coded libpetsc-dev dependency in both Build-Depends and -dev package
    Depends (closes: #592191).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Tue, 10 Aug 2010 11:05:35 -0400

illuminator (0.11.0-6) unstable; urgency=low

  * Added texlive-latex-recommended to Build-Depends-Indep, this includes
    ecrm1000.tfm and .mf (closes: #591170).
  * Bumped Standards-Version.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 04 Aug 2010 15:27:10 -0400

illuminator (0.11.0-5) unstable; urgency=low

  * Removed texlive from Build-Depends-Indep.
  * Corrected Adam Powell's name entry in control and added lintian overrides
    regarding it.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 26 Jul 2010 18:08:42 -0400

illuminator (0.11.0-4) unstable; urgency=low

  * Changed libreadline5-dev Build-Dep to libreadline-dev (closes: #553787).
  * Changed to source format 3.0 (quilt).
  * Added patch for compatibility with PETSc 3.1.
  * Bumped required PETSc version in Build-Depends to 3.1 with C support.
  * Rebuild uses math-blaslapack.m4 to detect blas and lapack (closes: #577873).
  * Added ${misc:Depends} to each binary package.
  * Bumped Standards-Version.
  * Changed control file to conform to Debian Science Policy Manual.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu, 27 May 2010 20:44:30 -0400

illuminator (0.11.0-3) unstable; urgency=medium

  * Removed double-colon patch to Makefile.in.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 16 Jun 2009 15:33:31 -0400

illuminator (0.11.0-2) unstable; urgency=low

  * Changed bmake/common to conf in Makefile.am files and updated cahnhill.c to
    work with petsc 3.0.0 (closes: #522699).
  * Updated petsc-dev build dependency.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 13 May 2009 10:42:05 -0400

illuminator (0.11.0-1) unstable; urgency=low

  * New upstream: bug fixes.
  * Update to new PETSc 2.3.3 and rebuild with new gfortran (closes: #472411).
  * Included math-blaslapack.m4 dropped by petsc package (closes: #443033).
  * Dropped Alpha dependency on orphaned libffm-dev (closes: #452571).
  * Changed tetex dependencies to texlive (closes: #419564).
  * Regenerates debian/rules in clean target (closes: #424418).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 24 Mar 2008 17:42:20 -0400

illuminator (0.10.0-4) unstable; urgency=low

  * Put debhelper in Build-Depends (closes: #408457).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 26 Jan 2007 16:32:51 -0500

illuminator (0.10.0-3) unstable; urgency=low

  * Rebuilding against new PETSc 2.3.2 (closes: #376890).
  * Fixed chts.c for new PetscRandom API (closes: #402784).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 17 Jan 2007 17:33:19 -0500

illuminator (0.10.0-2etch1) unstable; urgency=low

  * Rebuild against PETSc 2.3.1.
  * A couple of upstream fixes for future 0.10.1.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu, 13 Apr 2006 13:10:43 -0400

illuminator (0.10.0-2) unstable; urgency=low

  * Important packaging fixes, including libffm-dev build-dep on alpha,
    petsc-dev substvar fix (making libluminate-dev installable), etc.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu, 23 Feb 2006 10:28:27 -0500

illuminator (0.10.0-1etch1) unstable; urgency=low

  * Brown-bag packaging fixes, rebuilt for etch, will be rebuilt and uploaded
    to unstable when gnome-vfs transitions.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu,  9 Feb 2006 16:58:06 -0500

illuminator (0.10.0-1) unstable; urgency=low

  * New upstream, removes dvips from Build-Depends-Indep (closes: #337378).
  * One tiny fix to petsc-dev substvar calculation.
  * Updated DH_COMPAT to 4.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue,  7 Feb 2006 19:23:30 -0500

illuminator (0.9.1-3) unstable; urgency=low

  * Changed libffm1-dev to libffm-dev in Build-Depends so it builds on alpha.
  * Slight downgrade to petsc deps for sarge backport compatibility.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu,  8 Sep 2005 19:26:30 -0400

illuminator (0.9.1-2) unstable; urgency=low

  * Rebuild using new mpich/petsc stack.
  * Hand-removed -lslog from aclocal.m4 and configure to make this work.
  * Versioned petsc dependencies marked in control and rules.
  * Updated readline build-dependency (closes: #326342).
  * Moved end-line double-backslashes in illumulti.c and render.c to next lines
    to work around cxref-related toolchain change somewhere (not cxref...).
  * Updated FSF address and date in AUTHORS and debian/copyright files.
  * Updated standards version in control.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed,  7 Sep 2005 13:06:52 -0400

illuminator (0.9.1-1sarge1) unstable; urgency=low

  * Rebuilt against petsc 2.2.0-4sarge1 and mpich 1.2.7-0sarge2.
  * Hand-removed -lslog from aclocal.m4 and configure to make this work.
  * Versioned petsc dependencies marked in control and rules.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 16 Aug 2005 14:52:18 -0400

illuminator (0.9.1-1) unstable; urgency=low

  * New upstream.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun,  1 May 2005 10:47:27 -0400

illuminator (0.9.0-1) unstable; urgency=low

  * New upstream with libluminate version bump.


=== debian/control ===
Source: illuminator
Section: graphics
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 5.0), quilt, libpetsc3.1-dev, geomview, pkg-config, libglib2.0-dev, libxml2-dev, libimlib2-dev, libreadline-dev, libglade2-dev, libgnomeui-dev
Build-Depends-Indep: cxref, texlive-latex-extra, texlive-latex-recommended, hevea, lmodern
Build-Conflicts: cpml-ev5, cpml-ev6
Build-Conflicts-Indep: latex2html
Vcs-Git: git://git.debian.org/git/debian-science/packages/illuminator.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/illuminator.git

Package: libluminate-dev
Architecture: any
Section: libdevel
Depends: libluminate7 (= ${binary:Version}), libimlib2-dev, libxml2-dev, libglib2.0-dev, libpetsc3.1-dev, ${misc:Depends}
Suggests: illuminator-doc, geomview
Provides: illuminator-dev
Conflicts: illuminator-dev
Replaces: illuminator-dev
Description: Illuminator Distributed Visualization Library: development files
 This little library provides contour surface viewing for PETSc's 3-D
 distributed array (DA) objects using the Geomview viewer, and distributed
 storage and retrieval of PETSc DAs of any dimensionality in the Illumulti
 (optionally compressed) binary format.
 .
 This package contains the static libs and header files necessary for
 development with illuminator.

Package: libluminate7
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: geomview
Description: Illuminator Distributed Visualization Library: shared library
 This little library provides contour surface viewing for PETSc's 3-D
 distributed array (DA) objects using the Geomview viewer, and distributed
 storage and retrieval of PETSc DAs of any dimensionality in the Illumulti
 (optionally compressed) binary format.
 .
 This package contains the shared libs.

Package: illuminator-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libluminate-dev
Description: Illuminator Distributed Visualization Library: documentation
 This little library provides contour surface viewing for PETSc's 3-D
 distributed array (DA) objects using the Geomview viewer, and distributed
 storage and retrieval of PETSc DAs of any dimensionality in the Illumulti
 (optionally compressed) binary format.
 .
 This package contains the HTML, PDF, DVI and PostScript documentation.

Package: illuminator-demo
Architecture: any
Section: graphics
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: geomview
Description: Illuminator Distributed Visualization Library: demos
 This little library provides contour surface viewing for PETSc's 3-D
 distributed array (DA) objects using the Geomview viewer, and distributed
 storage and retrieval of PETSc DAs of any dimensionality in the Illumulti
 (optionally compressed) binary format.
 .
 This package contains the tsview viewer for 2-D and 3-D timestep sequences
 stored in IlluMulti format.
 .
 This package also contains two demonstration programs: "chts" (Cahn-Hilliard
 timestep) with its front-end "chui" (Cahn-Hilliard User Interface), and "3dgf"
 (3-D potential Green's function visualizer).  With mpich, you can run these in
 parallel using e.g. "mpirun -np X /usr/bin/chts" where X is the number of
 processes (optimally equal to the number of processors), with only process 0
 requiring access to your X display for 3-D graphics.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=illuminator

patch:
	dh_testdir
	if [ ! -e illuminator.m4.backup ]; then \
	  for thefiles in illuminator.m4 debian/rules \
	     debian/illuminator-doc.docs debian/illuminator-doc.doc-base; do \
	    cp -p $$thefiles $$thefiles.backup; \
	  done; \
	fi
	if [ ! -d .pc ]; then \
	  QUILT_PATCHES=debian/patches quilt push -a; \
	fi

stamp-configure: patch
	dh_testdir
	./configure --prefix=/usr
	touch $@

build: build-arch build-indep
build-arch: stamp-configure
	dh_testdir
	$(MAKE)
	touch $@

clean: patch
	dh_testdir
	rm -f stamp-configure build build-arch build-indep debian/libluminate-dev.substvars
	rm -f config.log config.status.lineno libtool cxref.css illuminator-tex.html
	if [ -e Makefile ]; then $(MAKE) distclean; fi
	rm -rf illuminator illuminator-doc-0.11.0
	if [ -d .pc ]; then \
	  QUILT_PATCHES=debian/patches quilt pop -a; \
	  rm -rf .pc; \
	fi
	if [ -e illuminator.m4.backup ]; then \
	  for thefiles in illuminator.m4 debian/rules \
	     debian/illuminator-doc.docs debian/illuminator-doc.doc-base; do \
	    mv -f $$thefiles.backup $$thefiles; \
	  done; \
	fi
	dh_clean

build-indep: stamp-configure
	$(MAKE) stamp-doc
	rm -f illuminator-doc-0.11.0/illuminator.ps \
	  `find illuminator-doc-0.11.0 -empty -print`
	grep -v ">PostScript<" illuminator-doc-0.11.0/index.html > illuminator-doc-0.11.0/index.html.new
	mv -f illuminator-doc-0.11.0/index.html.new illuminator-doc-0.11.0/index.html
	touch $@

binary-indep: build-indep
	dh_testdir -i
	dh_testroot -i
	dh_installdirs -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

install-arch: build-arch
	$(MAKE) install prefix=`pwd`/debian/tmp/usr

binary-arch: install-arch
	dh_testdir -a
	dh_testroot -a
# Generate petsc-dev substvar (yes, this is a kludge...)
	echo petsc-dev=libpetsc`grep "define PETSC_VERSION_MAJOR" /usr/include/petsc/petscversion.h | cut -b 34-`.`grep "define PETSC_VERSION_MINOR" /usr/include/petsc/petscversion.h | cut -b 34-`.`grep "define PETSC_VERSION_SUBMINOR" /usr/include/petsc/petscversion.h | cut -b 34-`-dev > debian/libluminate-dev.substvars
	dh_installdirs -a
	dh_movefiles -a
	dh_installdocs -a
	dh_installman -pilluminator-demo 3dgf.1 chts.1 chui.1 tsview.1 tsview-ng.1
	dh_installchangelogs -a
	dh_strip -a
	dh_makeshlibs -a
	dh_compress -a -X.pdf -X.dvi
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot
